Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575988 - Remote Execution Fails for Applying errata in Content Hosts Via Remote Execution Method.
Summary: Remote Execution Fails for Applying errata in Content Hosts Via Remote Execut...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.3.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: 6.4.0
Assignee: Stephen Benjamin
QA Contact: Lukas Pramuk
URL:
Whiteboard:
: 1608817 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 13:36 UTC by Satellite Program
Modified: 2021-06-10 16:06 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1558524
Environment:
Last Closed: 2018-10-16 19:14:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
failed install (235.78 KB, image/gif)
2018-07-18 17:32 UTC, Stephen Benjamin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23082 0 High Closed Remote Execution Fails for Applying errata in Content Hosts Via Remote Execution Method. 2021-02-19 08:10:24 UTC
Foreman Issue Tracker 24304 0 Normal Closed Error when using REX for errata installation 2021-02-19 08:10:24 UTC

Comment 3 Stephen Benjamin 2018-07-18 17:22:44 UTC
There are several issues here.

1. Katello job templates are not placed in the default taxonomies by default (this is tracked by BZ1602875). The usability of this is pretty bad, because there's no way to bulk move these. This should be a blocker for 6.4 IMHO.

2. More importantly, when you try to install errata via remote execution you get this error:

 Oops, we're sorry but something went wrong private method `_routes' called for #<Katello::RemoteExecutionController:0x00007f3f592c0e58>

Comment 4 Stephen Benjamin 2018-07-18 17:32:43 UTC
Created attachment 1459770 [details]
failed install

Comment 5 Stephen Benjamin 2018-07-18 17:33:05 UTC
I've attached a GIF of problem #2.

Comment 6 Satellite Program 2018-07-18 18:08:22 UTC
Upstream bug assigned to walden@redhat.com

Comment 7 Walden Raines 2018-07-18 19:11:45 UTC
Request that someone with more ruby experience look into the API error.

Comment 8 Satellite Program 2018-07-19 14:08:28 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 9 Satellite Program 2018-07-19 14:08:33 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 10 Stephen Benjamin 2018-07-19 17:19:54 UTC
I can't be QA contact anymore, now that I fixed the Rails issue.

Comment 11 Brad Buckingham 2018-07-20 19:59:23 UTC
Moving to POST, since upstream PR has merged.

Comment 12 Nikhil Kathole 2018-07-26 12:30:26 UTC
*** Bug 1608817 has been marked as a duplicate of this bug. ***

Comment 14 Lukas Pramuk 2018-08-02 14:21:31 UTC
VERIFIED.

@satellite-6.4.0-10.beta.el7sat.noarch (Snap14)
tfm-rubygem-katello-3.7.0.7-1.el7sat.noarch

by reproducer described in https://bugzilla.redhat.com/show_bug.cgi?id=1558524#c6:

1) Navigate to Hosts > Content Hosts
2) Select a host for errata operations
3) Select Action > Manage Errata
4) Open browser debug console
5) In the modal window select an errata
6) Open install dropdown and select 'via remote execution'

> POST https://<SATFQDN>/katello/remote_execution HTTP/1.1
< HTTP/1.1 302 Found

Redirected to https://<SATFQDN>/job_invocations/70
100% Success

Comment 15 Bryan Kearney 2018-10-16 19:14:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.